/* ledswitch
   Egy LED ki-bekacsolása nyomógomb segítségével:
    - Első (minden páratlan) lenyomásra a piros LED világítson!
    - Második (minden páros) lenyomásra a LED kialszik!
 */

const int RED_LED = 5;
const int PUSH2 = 3;

//Hardverfüggetlen rész (MSP430 Launchpad kártyán is futtatható!)
boolean led_state = false;       //Kezdetben a LED ki van kapcsolva
boolean waitforpress = true;     //Kezdetben lenyomásra várunk 

void setup() {
  pinMode(RED_LED,OUTPUT);       //legyen kimenet
  pinMode(PUSH2,INPUT_PULLUP);   //Bemenet beslő felhúzással
}

void loop() {
  if(waitforpress) {             //Ha lenyomásra várunk és
    if(!digitalRead(PUSH2)) {    //Ha lenyomás történt...
      led_state = !led_state;    //Állapot átbillentése
      digitalWrite(RED_LED, led_state);
      waitforpress = false;      //Következő stáció: felengedésre várunk
    }
  }  
  else {                         //Ha felengedésre vártunk és
    if(digitalRead(PUSH2)) {     //Ha felengedést észlelünk...
      waitforpress = true;       //Következő stáció: lenyomásra várunk
    }
  }  
  delay(20);                    //pergésmentesítő késleltetés
} 

